@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --color-primario: #000000;
    --color-secundario: #f6f6f6;
    --color-terciario: #22D4FD;
    --color-hover: #272727;

    --fuente-montserrat: "Montserrat", sans-serif;
    --fuente-krona: "Krona One", sans-serif;
}

* {
    padding: 0;
    margin: 0; /* agrega un margen para centrar los cuadrados en la pantalla */
}

body{
    background-color: var(--color-primario);
    color: var(--color-secundario);
    box-sizing:border-box
}

.header{
    padding: 2% 0% 0% 15%;
}

.header__menu{
    display:flex;
    gap: 80px;
}

.header__menu__link{
    font-family: var(--fuente-montserrat);
    font-size: 1.5rem;
    color: var(--color-terciario);
    font-weight: 600;
    text-decoration: none;
}

.presentacion{
    display: flex; /* coloca los cuadrados uno al lado del otro */
    align-items: center;
    padding: 6% 15%; 
    justify-content: space-between; /*cuando estamos en el eje horizontal*/
    gap: 82px
}

.presentacion__contenido{
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 40px;/* agrega espacios iguales entre cada cuadrado */
}

.presentacion__contenido__titulo{
    font-size: 2.25rem;
    font-family: var(--fuente-krona)
}

.titulo-destaque{
    color: var(--color-terciario)
}

.presentacion__contenido__texto{
    font-size: 1.5rem;
    font-family: var(--fuente-montserrat);
}

.presentacion__enlace{
    display:flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.presentacion__enlace__subtitulo{
    font-family: var(--fuente-krona);
    font-size: 1.5rem;
    font-weight: 400;
}

.presentacion__enlace__link{
    width: 50%;
    text-align: center;
    padding: 21.5px 0;
    border-radius: 8px;
    color: var(--color-secundario);
    text-decoration: none;
    font-size: 1.5rem;
    font-family: var(--fuente-montserrat);
    font-weight: 600;
    border: 2px solid var(--color-terciario);
    display: flex;
    justify-content:center;
    gap: 16px
}

.presentacion__enlace__link:hover{
    background-color: var(--color-hover);
    /* también se puede cambiar el cursor con "cursor:__" */
}

.presentacion__imagen{
    width: 50%;
}

.footer{
    background-color: var(--color-terciario);
    padding:24px;
    color: var(--color-primario);
    text-align: center;
    font-family: var(--fuente-montserrat);
    font-size: 1.5rem;
    font-weight: 400;
}

@media(max-width: 1200px){

    .header{
        padding:10%
    }

    .header__menu{
        justify-content:center
    }

    .presentacion{
    flex-direction: column-reverse;
    padding: 5%
    }

    .presentacion__contenido{
        width: auto
    }
}